<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>สมัครสมาชิก - LISH THAILAND MEMBER</title>
    <%-include('./partials/header')%>
    <!--  END CUSTOM STYLE FILE  -->
</head>

<body>


    <div id="headerWrapper">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-12 text-center mb-5">
                    <a href="#" class="navbar-brand-privacy">
                        <img src="/assets/img/90x90.jpg" class="img-fluid" alt="logo">
                    </a>
                </div>
                <div class="col-md-12 col-sm-12 col-12 text-center">
                    <h2 class="main-heading">สมัครสมาชิก LISH THAILAND</h2>
                </div>
            </div>
        </div>
    </div>

    <div id="privacyWrapper" class="">
        <div class="privacy-container">
            <div class="privacyContent">

                <div class="privacy-content-container">

                    <section>
                        <h5>ข้อมูลส่วนตัว</h5>
                        <form method="post" action="/register/profile" id="Form_data">
                            <div class="row">
                                <div class="col-12">
                                    <label for="p-text">สมัครบัญชีในนาม</label>
                                    <div class="custom-control custom-radio custom-control-inline ml-3">
                                        <input type="radio" id="customRadioInline1" name="type"
                                            class="custom-control-input" value="1">
                                        <label class="custom-control-label" for="customRadioInline1" onclick="check(1)">บุลคล</label>
                                    </div>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="customRadioInline2" name="type"
                                            class="custom-control-input" value="2">    
                                        <label class="custom-control-label" for="customRadioInline2" onclick="check(2)">นิติบุคคล</label>
                                    </div>
                                </div>

                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">ชื่อ</label>
                                    <input id="t-text" type="text" name="firstname" placeholder="โปรดกรอกชื่อ"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">นามสกุล</label>
                                    <input id="t-text" type="text" name="lastname" placeholder="โปรดกรอกนามสกุล"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">อีเมลล์</label>
                                    <input id="t-text" type="text" name="email" placeholder="โปรดกรอกอีเมล"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">เบอร์โทร</label>
                                    <input id="t-text" type="text" name="tel" placeholder="โปรดกรอกเบอร์โทร"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">รหัสผ่าน</label>
                                    <input id="p-text" type="password" name="pass" placeholder="Password"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">ยืนยันรหัสผ่าน</label>
                                    <input id="p-text" type="password" name="pass_con" placeholder="Confirm Password"
                                        class="form-control" required>
                                </div>
                                <div class="form-group col-lg-6 col-12">
                                    <label for="p-text">รูปแบบการจัดส่ง</label>
                                    <div class="custom-control custom-radio custom-control-inline ml-3">
                                        <input type="radio" id="customRadioInline3" name="sent"
                                            class="custom-control-input" value="1">
                                        <label class="custom-control-label" for="customRadioInline3" onclick="check(1)">จัดส่งเอง</label>
                                    </div>
                                    <div class="custom-control custom-radio custom-control-inline">
                                        <input type="radio" id="customRadioInline4" name="sent"
                                            class="custom-control-input" value="2">    
                                        <label class="custom-control-label" for="customRadioInline4" onclick="check(2)">ฝากจัดส่ง</label>
                                    </div>
                                </div>
                            </div>
                            <div class="text-center"><button
                                        class="btn btn-success mt-3 mb-4 text-center" type="submit">ยืนยัน</button>
                            </div>
                        </form>
                    </section>
                </div>
            </div>
        </div>
    </div>


    <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
    <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
    <script src="/bootstrap/js/popper.min.js"></script>
    <script src="/bootstrap/js/bootstrap.min.js"></script>
    <!-- END GLOBAL MANDATORY SCRIPTS -->
    <script src="/plugins/input-mask/jquery.inputmask.bundle.min.js"></script>
    <script src="/plugins/input-mask/input-mask.js"></script>
    <script>
        // Scroll To Top
        $(document).on('click', '.arrow', function (event) {
            event.preventDefault();
            var body = $("html, body");
            body.stop().animate({ scrollTop: 0 }, 500, 'swing');
        });
        let email_list = []
        $(document).ready(function(){
            '<% data.forEach(element=>{ %>'
                email_list.push({email:'<%=element.email %>'})
            '<% }) %>'
        })
        function check(id){
            if(id == 1){
                $('#type').val(1)
            }else{
                $('#type').val(2)
            }
        }
        let form_test = document.getElementById('Form_data');
        form_test.addEventListener("submit", (e) => {
            e.preventDefault();
            const formData = new FormData(e.target);
            const formProps = Object.fromEntries(formData);
            let check_email = true
            email_list.forEach(element=>{
                if(element.email == formProps.email){
                    check_email = false
                }
            })
            let tel = formProps.tel.slice(0)
            if(tel[0] != '0' || tel.length < 10 || tel.length > 10){
                Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')
            }else if(check_email){
                if(formProps.type == undefined){
                    Swal.fire('กรุณาเลือกประเภทบัญชี','','warning')
                }else if(formProps.pass != formProps.pass_con){
                    Swal.fire('กรุณากรอกรหัสผ่านให้ตรงกัน','','warning')
                }else{
                    form_test.submit()
                }
            }else{
                Swal.fire('อีเมลมีผู้ใช้แล้ว กรุณาเปลี่ยนอีเมล','','warning')
            }
            
        })
    </script>

</body>

</html>